<?php
/**
*
* @package ucp
* @version $Id: ucp_unsubcribe.php,v v 0.1.2 2008/03/18 18:22:12 tas2580 Exp $
* @copyright (c) SEO phpBB http://www.seo-phpbb.org
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

class ucp_unsubcribe
{
	function main($id, $mode)
	{
		global $config, $db, $user, $auth, $template, $phpbb_root_path, $phpEx;
		$user->add_lang('mods/unsubcribe');
		
		if (!$user->data['is_registered'])
		{
			trigger_error('NO_USER');
		}

		$delete_type	= request_var('delete_type', '');
		$delete			= request_var('delete', '');
		$cur_password	= request_var('cur_password', '');
		$delete_type	= $auth->acl_get('u_unsubcribe_del') ? $delete_type : 'retain';	

		if ($delete && !phpbb_check_hash($cur_password, $user->data['user_password']))
		{
			trigger_error($user->lang['USER_NOT_DELETED'] . '<br /><br />' . sprintf($user->lang['RETURN_UCP'], '<a href="' . $this->u_action . '">', '</a>'));
		}

		if ($delete && phpbb_check_hash($cur_password, $user->data['user_password']))
		{
			user_delete($delete_type, $user->data['user_id'], $user->data['username']);
			add_log('user', 'LOG_USER_DELETED', $user->data['username']);
			trigger_error($user->lang['USER_DELETED']);
		}

		$template->assign_vars(array(
			'S_CAN_DELPOSTS'	=> $auth->acl_get('u_unsubcribe_del'),
			'U_ACTION'			=> $this->u_action,
		));

		$this->tpl_name = 'ucp_unsubcribe';
		$this->page_title = $user->lang['UNSUBCRIBE_USER'];
	}
}

?>